package spaceObject.spaceShip;

import java.io.FileNotFoundException;

import javafx.geometry.Point2D;
import javafx.scene.Group;

public class FinalBoss extends Enemy {

	public FinalBoss(Group group) throws FileNotFoundException {
		super(group,
				"C:\\Users\\karlz\\Documents\\Eclipse\\SpaceShooter\\src\\main\\resources\\pictures\\spaceShip\\Final Boss.png",
				180, 180, 0.5, 8, 6);

		setMaxYPosition(50);
		setSpeed(120);
	}

	@Override
	public void specialAbility() {
		shoot(new Point2D(0.2, 0.9));
		shoot(new Point2D(-0.2, 0.9));
	}
}
